aboutsummaryrefslogtreecommitdiffstats
path: root/package/base-files/files/etc/init.d/sysntpd
diff options
context:
space:
mode:
authorNicolas Thill <nico@openwrt.org>2011-11-07 22:58:34 +0000
committerNicolas Thill <nico@openwrt.org>2011-11-07 22:58:34 +0000
commit76be14c4c26d8c38aa198a811867a797dcc5d403 (patch)
tree96b35712477b6f5ac1b672b4f3f17b3c0fa14742 /package/base-files/files/etc/init.d/sysntpd
parent6aa646482adcd2b00f5e05e59c55084d21a06159 (diff)
downloadupstream-76be14c4c26d8c38aa198a811867a797dcc5d403.tar.gz
upstream-76be14c4c26d8c38aa198a811867a797dcc5d403.tar.bz2
upstream-76be14c4c26d8c38aa198a811867a797dcc5d403.zip
package/base-files: use new service wrapper
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@28835 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/base-files/files/etc/init.d/sysntpd')
-rwxr-xr-xpackage/base-files/files/etc/init.d/sysntpd12
1 files changed, 6 insertions, 6 deletions
diff --git a/package/base-files/files/etc/init.d/sysntpd b/package/base-files/files/etc/init.d/sysntpd
index fefb48fb19..aa35da8313 100755
--- a/package/base-files/files/etc/init.d/sysntpd
+++ b/package/base-files/files/etc/init.d/sysntpd
@@ -3,11 +3,12 @@
START=98
-BIN=/usr/sbin/ntpd
-PID=/var/run/sysntpd.pid
+SERVICE_DAEMONIZE=1
+SERVICE_WRITE_PID=1
+SERVICE_PID_FILE=/var/run/sysntpd.pid
start() {
- [ -x $BIN ] || exit 0
+ [ -x $PROG ] || return 1
local peers
@@ -25,11 +26,10 @@ start() {
append args "-p $peer"
done
- start-stop-daemon -x $BIN -m -p $PID -b -S -- $args
+ service_start /usr/sbin/ntpd $args
fi
}
stop() {
- service_kill ${BIN##*/} $PID
- rm -f $PID
+ service_stop /usr/sbin/ntpd
}